## org.firebirdsql.gds
Class XSQLDA

    java.lang.Object
      org.firebirdsql.gds.XSQLDA

Direct Known Subclasses:
  XSQLDAImpl

    public class XSQLDA

extends Object

The class `XSQLDA` is a java mapping of the XSQLDA server data structure used to represent one row for input and output.

Version:
  1.0
Author:
  Alejandro Alberola

Field Summary
`byte[]` `blr` Internal array of values containing information about the type and length of columns of this row.
`int[]` `ioLength` Array of length (by type) values for each column in this row.
`int` `sqld` The number of output columns.
`int` `sqln` The number of input columns.
`XSQLVAR[]` `sqlvar` Array of column values.
`int` `version` Version of `XSQLDA` being used.

Constructor Summary
`XSQLDA()`
`XSQLDA(int n)` Create a new instance of `XSQLDA` with a given number of columns.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public int version

  Version of `XSQLDA` being used.

### sqln

    public int sqln

  The number of input columns.

### sqld

    public int sqld

  The number of output columns.

### sqlvar

    public XSQLVAR[] sqlvar

  Array of column values.

### blr

    public byte[] blr

  Internal array of values containing information about the type and length of columns of this row.

### ioLength

    public int[] ioLength

  Array of length (by type) values for each column in this row.

Constructor Detail

### XSQLDA

    public XSQLDA()

### XSQLDA

    public XSQLDA(int n)

  Create a new instance of `XSQLDA` with a given number of columns.

  Parameters:
    `n` - The number of columns to be used

Copyright © 2001-2010. All Rights Reserved.